LATEST VERSION: v1.3 - RELEASE NOTES
Pivotal Container Service v1.3

AWS Prerequisites and Resource Requirements

Page last updated:

This topic describes the prerequisites and resource requirements for installing Pivotal Container Service (PKS) on Amazon Web Services (AWS).

Prerequisites

Before you install PKS, you must install one of the following:

  • Ops Manager v2.3.1 or later
  • Ops Manager v2.4.x

Note: You use Ops Manager to install and configure PKS. Each version of Ops Manager supports multiple versions of PKS. To confirm that your Ops Manager version supports the version of PKS that you install, see PKS Release Notes.

To install an Ops Manager version that is compatible with the PKS version you intend to use, follow the instructions in the corresponding version of the Ops Manager documentation.

Note: The topics below provide the Terraform procedures for deploying Ops Manager on AWS, not the manual procedures. The Terraform procedures are the currently supported path for deploying Ops Manager on AWS for use with PKS.

Version
Ops Manager v2.3
Ops Manager v2.4

Resource Requirements

Installing Ops Manager and PKS requires the following virtual machines (VMs):

VM Name VM Type Default VM Count
Pivotal Container Service m4.large 1
BOSH Director m4.large 1

Each Kubernetes cluster provisioned through PKS deploys the VMs listed below. If you deploy more than one Kubernetes cluster, you must scale your allocated resources appropriately.

VM Name Number CPU Cores RAM Ephemeral Disk Persistent Disk
master 1 2 4 GB 32 GB 5 GB
worker 1 2 4 GB 32 GB 50 GB

Please send any feedback you have to pks-feedback@pivotal.io.

Create a pull request or raise an issue on the source for this page in GitHub